
GammaLib - Bug #1558

Correct diffuse map nomalization and Monte Carlo simulation

10/27/2015 12:13 AM - Knödlseder Jürgen

Status: Closed Start date: 10/26/2015

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Following a recent modification in GModelSpatialDiffuseMap the values returned by the GModelSpatialDiffuseMap::mc method are

limited to the simulation cone region. This implies however that for maps that are larger than the simulation region there are too much

events simulated (as there are never events falling outside the simulation region).

The flux normalization seems also to have disappeared.

History

#1 - 10/27/2015 12:26 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 10

Reintroduce flux normalization of map.

Compute now the Monte Carlo normalization as the fraction of the flux that is comprised within the simulation cone. At a first glance this produces the

expected results, but we now have to redo all the pull distributions to see whether the results are okay.

#2 - 10/27/2015 04:56 PM - Knödlseder Jürgen

- File map_rad6_prefactor.png added

- File map_rad6_index.png added

- File map_rad6_bkg_index.png added

- File map_rad6_bgd_prefactor.png added

- File map_rad7_bkg_index.png added

- File map_rad7_bkg_prefactor.png added

- File map_rad7_index.png added

- File map_rad7_prefactor.png added

- File map_tiny_bkg_index.png added

- File map_tiny_bkg_prefactor.png added

Here now pull distributions for three cases: an ROI of 6°, an ROI of 7° and a tiny map (from top to bottom). All look fine.

We now need to check also whether ROI's smaller than the map work and we should also verify that non-normalized maps work.
#3 - 10/27/2015 04:56 PM - Knödlseder Jürgen

- File map_tiny_index.png added

- File map_tiny_prefactor.png added

#4 - 10/28/2015 08:06 AM - Knödlseder Jürgen

- File nn_bkg_index.png added

- File nn_bkg_prefactor.png added

- File nn_index.png added

- File nn_prefactor.png added

- File rad1_bkg_index.png added

- File rad1_bkg_prefactor.png added

- File rad1_index.png added

- File rad1_prefactor.png added

Below are pull distributions for a ROI that is smaller than the map size (top row), and for a ROI that is smaller than the map size and no map

normalization (bottom row). Everything looks okay.

#5 - 10/28/2015 08:09 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 10 to 100
